Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
data-platform-connections
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/data-platform-connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "my-dwh-connection",
  "platformConnectionType": "dwh",
  "authProvider": "redshift",
  "authType": "password"
}
'
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json
authProvider
enum<string>
required

The authentication provider to use for the connection

Available options:
SNOWFLAKE,
REDSHIFT
Examples:

"SNOWFLAKE"

"REDSHIFT"

authType
enum<string>
required

The authentication type to use for the connection

Available options:
KEY_PAIR,
PASSWORD
Examples:

"KEY_PAIR"

"PASSWORD"

name
string
required

The name of the default data warehouse connection

Minimum string length: 1
Example:

"DWH-Connection-1"

platformConnectionType
enum<string>
required

The platform type of date warehouse connection to create

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"DWH"

Response

Default Data Warehouse Connection created